
// pour compiler g++ 3.cpp -w -lSDL2 -o sequanbaul

#include "SDL2/SDL.h"
#include <stdio.h>

//Taille de la fenêtre
const int IMAGE_LARGEUR = 640;
const int IMAGE_HAUTEUR = 450;
const int IMAGE_BPP = 32;
/*
//The button
class Button
{
    private:
    //The attributes of the button
    SDL_Rect box;
        SDL_Rect box1;

    //The part of the button sprite sheet that will be shown
    SDL_Rect* clip;
        SDL_Rect* clip1;

    public:
    //Initialize the variables
    Button( int x, int y, int w, int h );

    //Handles events and set the button's sprite region
    void handle_events();

    //Shows the button on the screen
    void show();
};
*/


//Starts up SDL and creates window
bool init();

//Loads media
bool loadMedia();

//Frees media and shuts down SDL
void close();

//The window we'll be rendering to
SDL_Window* gWindow = NULL;
	
//The surface contained by the window
SDL_Surface* gScreenSurface = NULL;

//The image we will load and show on the screen
SDL_Surface* gXOut = NULL;

bool init()
{
	//Initialization flag
	bool success = true;

	//Initialize SDL
	if( SDL_Init( SDL_INIT_VIDEO ) < 0 )
	{
		printf( "SDL could not initialize! SDL_Error: %s\n", SDL_GetError() );
		success = false;
	}
	else
	{
		//Create window
		gWindow = SDL_CreateWindow( "SDL Tutorial", SDL_WINDOWPOS_UNDEFINED, SDL_WINDOWPOS_UNDEFINED, IMAGE_LARGEUR, IMAGE_HAUTEUR, SDL_WINDOW_SHOWN );
		if( gWindow == NULL )
		{
			printf( "Window could not be created! SDL_Error: %s\n", SDL_GetError() );
			success = false;
		}
		else
		{
			//Get window surface
			gScreenSurface = SDL_GetWindowSurface( gWindow );
		}
	}

	return success;
}

bool loadMedia()
{
	//Loading success flag
	bool success = true;

	//Load splash image
	gXOut = SDL_LoadBMP( "x.bmp" );
	if( gXOut == NULL )
	{
		printf( "Unable to load image %s! SDL Error: %s\n", "03_event_driven_programming/x.bmp", SDL_GetError() );
		success = false;
	}

	return success;
}

void close()
{
	//Deallocate surface
	SDL_FreeSurface( gXOut );
	gXOut = NULL;

	//Destroy window
	SDL_DestroyWindow( gWindow );
	gWindow = NULL;

	//Quit SDL subsystems
	SDL_Quit();
	
}

int main( int argc, char* args[] )
{

    SDL_Window* window = NULL;
    window = SDL_CreateWindow
    (
        "SequanBaul", SDL_WINDOWPOS_UNDEFINED,
        SDL_WINDOWPOS_UNDEFINED,
        640,
        480,
        SDL_WINDOW_SHOWN
    );
    				    // Setup renderer
    SDL_Renderer* renderer = NULL;
    renderer =  SDL_CreateRenderer( window, 0, SDL_RENDERER_ACCELERATED);
    
        // Set render color to red ( background will be rendered in this color )
    SDL_SetRenderDrawColor( renderer, 255, 0, 0, 255 );

    // Clear winow
    SDL_RenderClear( renderer );
    
    /********************************************/

				
				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
    SDL_Rect piste1;
    piste1.x = 24;
    piste1.y = 1;
    piste1.w = 240;
    piste1.h = 24;
    
 
    				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
   SDL_Rect piste2;
    piste2.x = 24;
    piste2.y = 26;
    piste2.w = 240;
    piste2.h = 24;
    
    				
				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
    SDL_Rect piste3;
    piste3.x = 24;
    piste3.y = 52;
    piste3.w = 240;
    piste3.h = 24;
    
 
    				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
   SDL_Rect piste4;
    piste4.x = 24;
    piste4.y = 78;
    piste4.w = 240;
    piste4.h = 24;
    
    				
				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
    SDL_Rect piste5;
    piste5.x = 24;
    piste5.y = 104;
    piste5.w = 240;
    piste5.h = 24;
    
 
    				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
   SDL_Rect piste6;
    piste6.x = 24;
    piste6.y = 130;
    piste6.w = 240;
    piste6.h = 24;
    
    				
				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
    SDL_Rect piste7;
    piste7.x = 24;
    piste7.y = 156;
    piste7.w = 240;
    piste7.h = 24;
    
 
    				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
   SDL_Rect piste8;
    piste8.x = 24;
    piste8.y = 182;
    piste8.w = 240;
    piste8.h = 24;
    
    				
				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
    SDL_Rect piste9;
    piste9.x = 24;
    piste9.y = 208;
    piste9.w = 240;
    piste9.h = 24;
    
 
    				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
   SDL_Rect piste10;
    piste10.x = 24;
    piste10.y = 234;
    piste10.w = 240;
    piste10.h = 24;
    
    				
				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
    SDL_Rect piste11;
    piste11.x = 24;
    piste11.y = 260;
    piste11.w = 240;
    piste11.h = 24;
    
 
    				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
   SDL_Rect piste12;
    piste12.x = 24;
    piste12.y = 286;
    piste12.w = 240;
    piste12.h = 24;
    
    				
				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
    SDL_Rect piste13;
    piste13.x = 24;
    piste13.y = 312;
    piste13.w = 240;
    piste13.h = 24;
    
 
    				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
   SDL_Rect piste14;
    piste14.x = 24;
    piste14.y = 338;
    piste14.w = 240;
    piste14.h = 24;
    
    				
				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
    SDL_Rect piste15;
    piste15.x = 24;
    piste15.y = 364;
    piste15.w = 240;
    piste15.h = 24;
    
 
    				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
   SDL_Rect piste16;
    piste16.x = 24;
    piste16.y = 390;
    piste16.w = 240;
    piste16.h = 24;
    
				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
    SDL_Rect monmix1;
    monmix1.x = 320;
    monmix1.y = 1;
    monmix1.w = 240;
    monmix1.h = 24;
    
 
    				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
   SDL_Rect monmix2;
    monmix2.x = 320;
    monmix2.y = 26;
    monmix2.w = 240;
    monmix2.h = 24;
    
    				
				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
    SDL_Rect monmix3;
    monmix3.x = 320;
    monmix3.y = 52;
    monmix3.w = 240;
    monmix3.h = 24;
    
 
    				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
   SDL_Rect monmix4;
    monmix4.x = 320;
    monmix4.y = 78;
    monmix4.w = 240;
    monmix4.h = 24;
    
    				
				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
    SDL_Rect monmix5;
    monmix5.x = 320;
    monmix5.y = 104;
    monmix5.w = 240;
    monmix5.h = 24;
    
 
    				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
   SDL_Rect monmix6;
    monmix6.x = 320;
    monmix6.y = 130;
    monmix6.w = 240;
    monmix6.h = 24;
    
    				
				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
    SDL_Rect monmix7;
    monmix7.x = 320;
    monmix7.y = 156;
    monmix7.w = 240;
    monmix7.h = 24;
    
 
    				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
   SDL_Rect monmix8;
    monmix8.x = 320;
    monmix8.y = 182;
    monmix8.w = 240;
    monmix8.h = 24;
    
    				
				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
    SDL_Rect monmix9;
    monmix9.x = 320;
    monmix9.y = 208;
    monmix9.w = 240;
    monmix9.h = 24;
    
 
    				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
   SDL_Rect monmix10;
    monmix10.x = 320;
    monmix10.y = 234;
    monmix10.w = 240;
    monmix10.h = 24;
    
    				
				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
    SDL_Rect monmix11;
    monmix11.x = 320;
    monmix11.y = 260;
    monmix11.w = 240;
    monmix11.h = 24;
    
 
    				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
   SDL_Rect monmix12;
    monmix12.x = 320;
    monmix12.y = 286;
    monmix12.w = 240;
    monmix12.h = 24;
    
    				
				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
    SDL_Rect monmix13;
    monmix13.x = 320;
    monmix13.y = 312;
    monmix13.w = 240;
    monmix13.h = 24;
    
 
    				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
   SDL_Rect monmix14;
    monmix14.x = 320;
    monmix14.y = 338;
    monmix14.w = 240;
    monmix14.h = 24;
    
    				
				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
    SDL_Rect monmix15;
    monmix15.x = 320;
    monmix15.y = 364;
    monmix15.w = 240;
    monmix15.h = 24;
    
 
    				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
   SDL_Rect monmix16;
    monmix16.x = 320;
    monmix16.y = 390;
    monmix16.w = 240;
    monmix16.h = 24;
    
    
 				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
    SDL_Rect efface;
    efface.x = 120;
    efface.y = 425;
    efface.w = 100;
    efface.h = 40;
    
 
    				    // Creat a rect at pos ( 50, 50 ) that's 50 pixels wide and 50 pixels high.
   SDL_Rect sort;
    sort.x = 350;
    sort.y = 425;
    sort.w = 100;
    sort.h = 40;
    	
    				

    
    // Set render color to blue ( rect will be rendered in this color )
    SDL_SetRenderDrawColor( renderer, 0, 0, 255, 255 );
//        SDL_SetRenderDrawColor( renderer1, 0, 0, 255, 255 );


    // Render rect
    SDL_RenderFillRect( renderer, &piste1 );
    SDL_RenderFillRect( renderer, &piste2 );
    SDL_RenderFillRect( renderer, &piste3 );
    SDL_RenderFillRect( renderer, &piste4 );
    SDL_RenderFillRect( renderer, &piste5 );
    SDL_RenderFillRect( renderer, &piste6 );
    SDL_RenderFillRect( renderer, &piste7 );
    SDL_RenderFillRect( renderer, &piste8 );
    SDL_RenderFillRect( renderer, &piste9 );
    SDL_RenderFillRect( renderer, &piste10 );
    SDL_RenderFillRect( renderer, &piste11 );
    SDL_RenderFillRect( renderer, &piste12 );
    SDL_RenderFillRect( renderer, &piste13 );
    SDL_RenderFillRect( renderer, &piste14 );
    SDL_RenderFillRect( renderer, &piste15 );
    SDL_RenderFillRect( renderer, &piste16 );
    
    SDL_RenderFillRect( renderer, &monmix1 );
    SDL_RenderFillRect( renderer, &monmix2 );
    SDL_RenderFillRect( renderer, &monmix3 );
    SDL_RenderFillRect( renderer, &monmix4 );
    SDL_RenderFillRect( renderer, &monmix5 );
    SDL_RenderFillRect( renderer, &monmix6 );
    SDL_RenderFillRect( renderer, &monmix7 );
    SDL_RenderFillRect( renderer, &monmix8 );
    SDL_RenderFillRect( renderer, &monmix9 );
    SDL_RenderFillRect( renderer, &monmix10 );
    SDL_RenderFillRect( renderer, &monmix11 );
    SDL_RenderFillRect( renderer, &monmix12 );
    SDL_RenderFillRect( renderer, &monmix13 );
    SDL_RenderFillRect( renderer, &monmix14 );
    SDL_RenderFillRect( renderer, &monmix15 );
    SDL_RenderFillRect( renderer, &monmix16 );
    
    SDL_RenderFillRect( renderer, &efface );
    SDL_RenderFillRect( renderer, &sort );

    // Render the rect to the screen
    SDL_RenderPresent(renderer);


    
/*

		//Load media
		if( !loadMedia() )
		{
			printf( "Failed to load media!\n" );
		}
		else
		{	*/		
			//Main loop flag
			bool quit = false;

			//Event handler
			
			/****************************************************************/
			
			SDL_Event resteavecmoi;

			//While application is running
			while( !quit )
			{
				//Handle events on queue
				while( SDL_PollEvent( &resteavecmoi ) != 0 )
				{
				


				
					//User requests quit
					/*if( resteavecmoi.type == SDL_QUIT )
					{
						quit = true;
					}*/
					
					switch (resteavecmoi.type)
       					 {
 
        				    case SDL_QUIT:
             				   exit(0);
            					break;
            					/*******************************/
            					           case SDL_KEYDOWN:
                switch (resteavecmoi.key.keysym.sym)
                {
                    case SDLK_ESCAPE:
                        exit(0);
                    break;
                    case SDLK_a:
                        //cré la piste 1;
                    break;
            					
            					
            									}	
            					/*********************************/
            					
            					
            					
            					
            					
            					
					}
					
					
				}


			}    
			/*******************************************************/
			
//			    SDL_Event event;
 
    /* Keymapping : gère les appuis sur les touches et les enregistre
    dans la structure input */
 /*
    while (SDL_PollEvent(&event))
    {
        switch (event.type)
        {
 
            case SDL_QUIT:
                exit(0);
            break;
 
            case SDL_KEYDOWN:
                switch (event.key.keysym.sym)
                {
                    case SDLK_ESCAPE:
                        exit(0);
                    break;
 
                case SDLK_DELETE:
                        input->erase = 1;
                    break;
 
                    case SDLK_c:
                        input->jump = 1;
                    break;
 
                    case SDLK_v:
                        input->attack = 1;
                    break;
 
                    case SDLK_LEFT:
                        input->left = 1;
                    break;
 
                    case SDLK_RIGHT:
                        input->right = 1;
                    break;
 
                    case SDLK_DOWN:
                        input->down = 1;
                    break;
 
                    case SDLK_UP:
                        input->up = 1;
                    break;
 
 
                    case SDLK_RETURN:
                        input->enter = 1;
                    break;
 

                    default:
                    break;
                }
            break;

            case SDL_KEYUP:
                switch (event.key.keysym.sym)
                {
                    case SDLK_DELETE:
                        input->erase = 0;
                    break;
 
                    case SDLK_c:
                        input->jump = 0;
                    break;
 
                    case SDLK_LEFT:
                        input->left = 0;
                    break;
 
                    case SDLK_RIGHT:
                        input->right = 0;
                    break;
 
                    case SDLK_DOWN:
                        input->down = 0;
                    break;
 
                    case SDLK_UP:
                        input->up = 0;
                    break;
 
                    case SDLK_RETURN:
                        input->enter = 0;
                    break;
 
                    default:
                    break;
                }
            break;

        }
 
    }
    
    */
			/********************************************************/
			
			
//		}


	//Free resources and close SDL
	close();

	return 0;
}
